Bug 138196 - /system/http_proxy settings fail if non-C locale and network ORBit
/system/http_proxy settings fail if non-C locale and network ORBit
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: ORBit2 (Show other bugs)
3.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Clasen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-05 11:03 EST by Göran Uddeborg
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 15:15:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Göran Uddeborg 2004-11-05 11:03:50 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.4.3)
Gecko/20040924

Description of problem:
I am behind a firewall, and have configured http_proxy in GConf.  I
have choosen a number of weather and news feeds in evoultion.  When I
run evolution in a Swedish locale, and have ORBit configured to talk
over the network, evolution can't reach any of those feeds.  As long
as either ORBit is local only, or I run in the C locale, things  work.

Version-Release number of selected component (if applicable):
ORBit2-2.6.2-1 evolution-1.4.5-1 GConf2-2.2.1-4

How reproducible:
Always

Steps to Reproduce:
1.mbahiakro> gconftool-2 --recursive-list /system/http_proxy
 use_http_proxy = true
 use_authentication = false
 host = gkf.carmen.se
 authentication_user = 
 authentication_password = 
 port = 80
2.mbahiakro> cat /etc/orbitrc 
ORBIIOPIPv4=1
3.env LANG=sv_SE evolution


Actual Results:  This messages is repeated several times

(evolution:30071): evolution-executive-summary-WARNING **: Message
failed: 3
Unable to resolve proxy hostname

And the evolution window says there were connection problems when
trying to reach the weather and news feeds.

Expected Results:  Swedish speaking evolution with weather information.

Additional info:

We see problems in other applications too, metacity for example, which
all seem to be related to host name lookup.  I'm using evolution as a
easily repeatable test case, but I don't think this is an evolution
(or metacity) problem but belongs to some underlying system.  My
assignment of this report to the ORBit component is just a guess, though.
Comment 1 RHEL Product and Program Management 2007-10-19 15:15:01 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.